Bug 210600 - BUG: warning at kernel/lockdep.c:574/print_infinite_recursion_bug
BUG: warning at kernel/lockdep.c:574/print_infinite_recursion_bug
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 23:57 EDT by Orion Poplawski
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:53:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-10-12 23:57:05 EDT
Description of problem:

Just seen the following.  Not sure what issues it has caused.  Happenend shortly
after amanda backups started.

BUG: warning at kernel/lockdep.c:574/print_infinite_recursion_bug() (Not tainted)
 [<c040518d>] show_trace_log_lvl+0x58/0x16a
 [<c0405799>] show_trace+0xd/0x10
 [<c04058af>] dump_stack+0x19/0x1b
 [<c043a755>] print_infinite_recursion_bug+0x38/0x3f
 [<c043a783>] find_usage_backwards+0x27/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043adcd>] check_usage+0x25/0x1fb
 [<c043bb22>] __lock_acquire+0x849/0x99c
 [<c043c1e6>] lock_acquire+0x4b/0x6d
 [<c060df9b>] _spin_lock+0x19/0x28
 [<c041ebcd>] double_lock_balance+0x2f/0x33
 [<c060b84a>] schedule+0x272/0x9da
 [<c060c5f5>] io_schedule+0x36/0x57
 [<c0473fa8>] sync_buffer+0x33/0x37
 [<c060c7df>] __wait_on_bit+0x36/0x5d
 [<c060c861>] out_of_line_wait_on_bit+0x5b/0x63
 [<c0473f00>] __wait_on_buffer+0x1f/0x25
 [<f88702f4>] ext3_find_entry+0x3a7/0x589 [ext3]
 [<f88717da>] ext3_lookup+0x29/0xbe [ext3]
 [<c047d8a0>] do_lookup+0xab/0x153
 [<c047f170>] __link_path_walk+0x33a/0xdcd
 [<c047fc53>] link_path_walk+0x50/0xca
 [<c048005a>] do_path_lookup+0x23b/0x28d
 [<c048095c>] __path_lookup_intent_open+0x42/0x74
 [<c04809e7>] path_lookup_open+0x10/0x12
 [<c0480ae4>] open_namei+0x6e/0x63e
 [<c0470464>] do_filp_open+0x1f/0x35
 [<c04704ba>] do_sys_open+0x40/0xb5
 [<c047055b>] sys_open+0x16/0x18
 [<c0403f63>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 [<c0405799>] show_trace+0xd/0x10
 [<c04058af>] dump_stack+0x19/0x1b
 [<c043a755>] print_infinite_recursion_bug+0x38/0x3f
 [<c043a783>] find_usage_backwards+0x27/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043a7b7>] find_usage_backwards+0x5b/0x80
 [<c043adcd>] check_usage+0x25/0x1fb
 [<c043bb22>] __lock_acquire+0x849/0x99c
 [<c043c1e6>] lock_acquire+0x4b/0x6d
 [<c060df9b>] _spin_lock+0x19/0x28
 [<c041ebcd>] double_lock_balance+0x2f/0x33
 [<c060b84a>] schedule+0x272/0x9da
 [<c060c5f5>] io_schedule+0x36/0x57
 [<c0473fa8>] sync_buffer+0x33/0x37
 [<c060c7df>] __wait_on_bit+0x36/0x5d
 [<c060c861>] out_of_line_wait_on_bit+0x5b/0x63
 [<c0473f00>] __wait_on_buffer+0x1f/0x25
 [<f88702f4>] ext3_find_entry+0x3a7/0x589 [ext3]
 [<f88717da>] ext3_lookup+0x29/0xbe [ext3]
 [<c047d8a0>] do_lookup+0xab/0x153
 [<c047f170>] __link_path_walk+0x33a/0xdcd
 [<c047fc53>] link_path_walk+0x50/0xca
 [<c048005a>] do_path_lookup+0x23b/0x28d
 [<c048095c>] __path_lookup_intent_open+0x42/0x74
 [<c04809e7>] path_lookup_open+0x10/0x12
 [<c0480ae4>] open_namei+0x6e/0x63e
 [<c0470464>] do_filp_open+0x1f/0x35
 [<c04704ba>] do_sys_open+0x40/0xb5
 [<c047055b>] sys_open+0x16/0x18
 [<c0403f63>] syscall_call+0x7/0xb

Version-Release number of selected component (if applicable):
2.6.18-1.2189.fc5smp

How reproducible:
First time so far
Comment 1 Dave Jones 2006-10-16 14:27:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Orion Poplawski 2006-10-18 15:44:38 EDT
Again, I'm guessing that I won't see this in 2.6.18-1.2200.fc5 due to the
lockdep code not being present in that kernel.
Comment 3 Dave Jones 2006-10-18 16:53:55 EDT
yeah, it won't be reenabled until it gets to a prerelease of a 2.6.19 rebase for
FC5 in a month or two, and it's already been fixed upstream, so we should be ok
on this one.

Note You need to log in before you can comment on or make changes to this bug.